import os
import shutil
import sys


def main():
    if len(sys.argv) != 2:
        raise Exception('usage: delete.py <path>')

    if not os.path.exists(sys.argv[1]):
        print '"%s" does not exist, exiting' % sys.argv[1]
        return

    if os.path.isfile(sys.argv[1]):
        os.remove(sys.argv[1])
    else:
        shutil.rmtree(sys.argv[1])

    print 'Succeesfully deleted "%s"' % sys.argv[1]


if __name__ == '__main__':
    main()
